import * as React from 'react';
import s from '../styles/FacebookSharePreview.module.css';
import { urlFor, getDomainName } from './socialPreviewUtils';
import GlobeIcon from './GlobeIcon';
const FacebookSharePreview = ({ title, description, ogImage, siteUrl }) => {
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(500).url() || undefined
        : undefined;
    return (React.createElement("section", { className: "share-item", style: { background: 'rgb(233, 235, 238)' } },
        React.createElement("h2", null, "Facebook sharing"),
        React.createElement("div", { className: s.wrapper },
            React.createElement("div", { className: s.header },
                React.createElement("img", { src: "https://via.placeholder.com/40/40", "aria-hidden": true }),
                React.createElement("div", null, "Person"),
                React.createElement("span", null,
                    "1h ",
                    React.createElement(GlobeIcon, null))),
            React.createElement("div", { className: s.imageContainer },
                React.createElement("img", { className: s.image, src: ogImageUrl })),
            React.createElement("div", { className: s.content },
                React.createElement("div", { className: s.url }, getDomainName(siteUrl)),
                React.createElement("div", { className: s.title },
                    React.createElement("a", { href: "#" }, title)),
                React.createElement("div", { className: s.desc }, description)),
            React.createElement("div", { className: s.actions },
                React.createElement("span", null, "Like"),
                React.createElement("span", null, "Comment"),
                React.createElement("span", null, "Share")))));
};
export default FacebookSharePreview;
