import React from 'react';
import s from '../styles/GooglePreview.module.css';
import { urlFor } from './socialPreviewUtils';
export const GoogleDesktop = ({ title, description, siteUrl, slug, }) => {
    const url = siteUrl + (slug || '');
    return (React.createElement("section", { className: "share-item" },
        React.createElement("h2", null, "Desktop Google result"),
        React.createElement("div", { className: s.wrapper },
            React.createElement("h3", null, title),
            React.createElement("div", { className: s.metaDesktop }, url),
            React.createElement("p", null, description && description.length > 135
                ? description.slice(0, 135) + ' ...'
                : description))));
};
export const GoogleMobile = ({ title, description, ogImage, siteUrl, slug, }) => {
    const url = siteUrl + (slug || '');
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(105).url() || undefined
        : undefined;
    return (React.createElement("section", { className: "share-item" },
        React.createElement("h2", null, "Mobile Google result"),
        React.createElement("div", { className: s.wrapper + ' ' + s.wrapperMobile },
            React.createElement("div", { className: s.metaMobile },
                React.createElement("div", null),
                " ",
                url),
            React.createElement("h3", null, title),
            React.createElement("div", { className: s.contentMobile },
                React.createElement("div", null, description),
                ogImageUrl && React.createElement("img", { src: ogImageUrl })))));
};
