import React from 'react';
import s from '../styles/LinkedinSharePreview.module.css';
import { urlFor } from './socialPreviewUtils';
import GlobeIcon from './GlobeIcon';
const LinkedinSharePreview = ({ title, description, ogImage, }) => {
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(1200).url() || undefined
        : undefined;
    return (React.createElement("section", { className: "share-item", style: { background: '#f5f5f5' } },
        React.createElement("h2", null, "LinkedIn sharing"),
        React.createElement("div", { className: s.wrapper },
            React.createElement("div", { className: s.profile },
                React.createElement("img", { src: "https://via.placeholder.com/48/48", "aria-hidden": true }),
                React.createElement("div", null,
                    "Person ",
                    React.createElement("span", null, "\u2022 1st")),
                React.createElement("span", null, "Fan #1"),
                React.createElement("span", null,
                    "1h \u2022 ",
                    React.createElement(GlobeIcon, null))),
            ogImageUrl && (React.createElement("div", { className: s.imageContainer },
                React.createElement("img", { src: ogImageUrl }))),
            React.createElement("div", { className: s.content },
                React.createElement("div", null, title),
                description && React.createElement("p", null, description)),
            React.createElement("div", { className: s.likes }, "10 \u2022 3 comments"))));
};
export default LinkedinSharePreview;
