import React from 'react';
import s from '../styles/TwitterSharePreview.module.css';
import { getDomainName, urlFor } from './socialPreviewUtils';
const TwitterSharePreview = ({ title, description, ogImage, siteUrl, }) => {
    const ogImageUrl = ogImage
        ? urlFor(ogImage).width(560).url() || undefined
        : undefined;
    return (React.createElement("section", { className: "share-item", style: { background: 'rgb(230, 236, 240)' } },
        React.createElement("h2", null, "Twitter sharing"),
        React.createElement("div", { className: s.wrapper },
            React.createElement("div", { className: s.header },
                React.createElement("div", { className: s.profile },
                    React.createElement("img", { src: "https://via.placeholder.com/48/48", "aria-hidden": true }),
                    React.createElement("div", null, "Person"),
                    React.createElement("span", null, "@person")),
                React.createElement("button", null, "Follow")),
            React.createElement("div", { className: s.card },
                React.createElement("img", { src: ogImageUrl }),
                React.createElement("div", { className: s.content },
                    React.createElement("div", null, title),
                    description && React.createElement("p", null, description),
                    React.createElement("span", null, getDomainName(siteUrl)))),
            React.createElement("div", { className: s.date },
                new Date().toLocaleTimeString('en', {
                    second: undefined,
                }),
                ' ',
                "-",
                ' ',
                new Date().toLocaleDateString('en', {
                    dateStyle: 'medium',
                })),
            React.createElement("div", { className: s.likes },
                React.createElement("strong", null, "10"),
                " likes"))));
};
export default TwitterSharePreview;
